using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Watcher.Migrations
{
    /// <inheritdoc />
    public partial class MeasurementWarnings : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<double>(
                name: "CPU_Load_Critical",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "CPU_Load_Warning",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "CPU_Temp_Critical",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "CPU_Temp_Warning",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "DISK_Temp_Critical",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "DISK_Temp_Warning",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "Disk_Usage_Critical",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "Disk_Usage_Warning",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "GPU_Load_Critical",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "GPU_Load_Warning",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "GPU_Temp_Critical",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "GPU_Temp_Warning",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "RAM_Load_Critical",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<double>(
                name: "RAM_Load_Warning",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CPU_Load_Critical",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "CPU_Load_Warning",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "CPU_Temp_Critical",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "CPU_Temp_Warning",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "DISK_Temp_Critical",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "DISK_Temp_Warning",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "Disk_Usage_Critical",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "Disk_Usage_Warning",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "GPU_Load_Critical",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "GPU_Load_Warning",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "GPU_Temp_Critical",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "GPU_Temp_Warning",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "RAM_Load_Critical",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "RAM_Load_Warning",
                table: "Servers");
        }
    }
}
